#ifndef CHK_QUAD_H__
#define CHK_QUAD_H__

/*####################### Functions ##############################*/
extern void check_quad(int row,int col);
extern int chk_row_nzero(int row,int col);
extern int chk_row_nzero(int row,int col);
extern void set_status_active(void);
extern void save_key_hz_vrt(int row,int col,int hz_or_vrt);
extern void save_key_lf_dn(int row,int col);
extern void save_key_lf_up(int row,int col);
extern void save_key_rt_up(int row,int col);
extern void save_key_rt_dn(int row,int col);
extern void save_cellno_hz_vrt(int row,int col,int hr_or_vr);
extern void save_cellno_lf_dn(int row,int col);
extern void save_cellno_lf_up(int row,int col);
extern void save_cellno_rt_dn(int row,int col);
extern void save_cellno_rt_up(int row,int col);
extern void set_all_x_hz_vr(int row,int col,int hr_or_vr);
extern void set_all_x_lf_dn(int row,int col);
extern void set_all_x_lf_up(int row,int col);
extern void set_all_x_rt_dn(int row,int col);
extern void set_all_x_rt_up(int row,int col);

extern int chk_lf_dn_quad(int row,int col);
extern int chk_lf_up_quad(int row,int col);
extern int chk_rt_dn_quad(int row,int col);
extern int chk_rt_up_quad(int row,int col);
extern int mk_hozntal_quad(int row,int col);
extern int mk_vertical_quad(int row,int col);
extern int mk_lf_dn_quad(int row,int col);
extern int mk_lf_up_quad(int row,int col);
extern int mk_rt_dn_quad(int row,int col);
extern int mk_rt_up_quad(int row,int col);

#endif
