#ifndef KMAP_H
#define KMAP_H

#include <stdio.h>
#include <string.h>
#include <stdlib.h>


#define LEFT_MOST 0 				/*COLUMN 0*/
#define RIGHT_MOST 3				/*COLUMN 3*/
#define TOP_MOST 0					/*ROW 0*/
#define LOWEST 3						/*ROW 3*/
#define ACTIVE 0
#define INACTIVE 1
#define WANT_UPPER 0
#define WANT_LOWER 1
#define WANT_LEFT 0
#define WANT_RIGHT 1
#define FOUND 0
#define N_FOUND 1
#define HZNTL 0
#define VRTCL 1
#define LOWER 1
#define UPPER -1
#define RIGHT 1
#define LEFT -1

/*######################## Globels #########################*/
extern int connection;

/*THIS IS THE STRUCTURE OF THE CELL OF KMAP*/

struct cell
{
	char value,real_value,cell_num;
	struct cell *left,*right,*down,*up;
	char col_string[3], row_string[3];
};
struct cell cell_array[4][4];
	
struct output
{
	char connection_output[6];
	char cell_num_string[10];
	int status;
};
struct output out_array[20];
	
char semi_final_out[70];
char final_out[100];


	
#endif
