#include "kmap_struct.h" 
	
void init_kmap(void) 
{
	int i,j;
	for(i=0;i<=3;i++)
	{
		for(j=0;j<=3;j++)
		{
			if(i==TOP_MOST) /*TOP_MOST macro is for first row. if row is first row then up pointer
											 *of all cells will point to last row corresponding cells*/ 
			{
				cell_array[i][j].up=&cell_array[LOWEST][j];/*LOWEST is for last row i.e row 3*/
				cell_array[i][j].down=&cell_array[i+1][j];
				strcpy(cell_array[i][j].row_string,"cd");/*small letters are symbols of C BAR D*/
				switch(j)
				{
					case 0: cell_array[i][j].cell_num='0';
						break;
					case 1: cell_array[i][j].cell_num='1';
						break;
					case 2: cell_array[i][j].cell_num='2';
						break;
					case 3: cell_array[i][j].cell_num='3';
						break;
				}
			}
			if(i==1)
			{
				cell_array[i][j].up=&cell_array[i-1][j];
				cell_array[i][j].down=&cell_array[i+1][j];
				strcpy(cell_array[i][j].row_string,"cD");
				switch(j)
				{
					case 0: cell_array[i][j].cell_num='4';
						break;
					case 1: cell_array[i][j].cell_num='5';
						break;
					case 2: cell_array[i][j].cell_num='6';
						break;
					case 3: cell_array[i][j].cell_num='7';
						break;
				}					
			}
			if(i==2)
			{
				cell_array[i][j].up=&cell_array[i-1][j];
				cell_array[i][j].down=&cell_array[i+1][j];
				strcpy(cell_array[i][j].row_string,"CD");
				switch(j)
				{
					case 0: cell_array[i][j].cell_num='8';
						break;
					case 1: cell_array[i][j].cell_num='9';
						break;
					case 2: cell_array[i][j].cell_num='A';
						break;
					case 3: cell_array[i][j].cell_num='B';
						break;
				}
			}	
			if(i==LOWEST)
			{
				cell_array[i][j].up=&cell_array[i-1][j];
				cell_array[i][j].down=&cell_array[TOP_MOST][j];
				strcpy(cell_array[i][j].row_string,"Cd");
				switch(j)
				{
					case 0: cell_array[i][j].cell_num='C';
						break;
					case 1: cell_array[i][j].cell_num='D';
						break;
					case 2: cell_array[i][j].cell_num='E';
						break;
					case 3: cell_array[i][j].cell_num='F';
						break;
				}
			}	
			if(j==LEFT_MOST) /*LEFT_MOST macro is for first col. if col. is first col then left pointer
											 *of all cells will point to RIGHT_MOST col. of corresponding cells*/ 
			{
				cell_array[i][j].left=&cell_array[i][RIGHT_MOST];
				cell_array[i][j].right=&cell_array[i][j+1];
				strcpy(cell_array[i][j].col_string,"ab");
			}
			if(j==1) 
			{
				cell_array[i][j].left=&cell_array[i][j-1];
				cell_array[i][j].right=&cell_array[i][j+1];
				strcpy(cell_array[i][j].col_string,"aB");
			}
			if(j==2) 
			{
				cell_array[i][j].left=&cell_array[i][j-1];
				cell_array[i][j].right=&cell_array[i][j+1];
				strcpy(cell_array[i][j].col_string,"AB");
			}
			if(j==RIGHT_MOST) 
			{
				cell_array[i][j].left=&cell_array[i][j-1];
				cell_array[i][j].right=&cell_array[i][LEFT_MOST];
				strcpy(cell_array[i][j].col_string,"Ab");
			}
		}
	}
	return;
}
