

#include <gtk/gtk.h>
#include <stdio.h>

#include "gkmap.h"

#ifdef G_OS_WIN32
gchar *package_prefix = PACKAGE_PREFIX;
gchar *package_pixmaps_dir = PACKAGE_PIXMAPS_DIR;
#endif

/*#################### All stuff start from here ####################*/
int main( int argc , char **argv )
{
#ifdef G_OS_WIN32
    package_prefix = g_win32_get_package_installation_directory (NULL, NULL);
    package_pixmaps_dir = g_build_filename (package_prefix, "share", "pixmaps", NULL);
#endif

    gtk_set_locale( ) ;                                      
	gtk_init( &argc , &argv ) ;                          
	create_appwindow();                            
	gtk_main( ) ;
	
#ifdef G_OS_WIN32
  g_free (package_prefix);
  g_free (package_pixmaps_dir);
#endif

	return 0;
}
